import { CreatePhishingResponseDto } from './dto/create-phishing-response.dto';
import { UpdatePhishingResponseDto } from './dto/update-phishing-response.dto';
import { PhishingResponse } from './entities/phishing-response.entity';
export declare class PhishingResponseService {
    private phishingResponseRepository;
    constructor(phishingResponseRepository: typeof PhishingResponse);
    create(createPhishingResponseDto: CreatePhishingResponseDto): Promise<PhishingResponse>;
    emailLinkCklicked(id: string): Promise<PhishingResponse>;
    emailLinkFormSubmition(id: string): Promise<PhishingResponse>;
    findAll(): string;
    findOne(id: string): string;
    update(id: string, updatePhishingResponseDto: UpdatePhishingResponseDto): string;
    remove(id: string): string;
}
